// require("babel-polyfill");
import Game from './core/game'

import MouseInput from './plugins/mouseinput'
import KeyboardInput from './plugins/keyboardinput'
import ScenesManager from './plugins/scenesmanager'
import Logger from './plugins/logger'

import TestScene from './scenes/test'

Game.init(document.getElementById('canvas'))

/*
    Game.create({
        canvas: document.getElementById('canvas'),
        plugins: {
            FpsCounter,
            KeyboardInput,
            MouseInput,
            ScenesManager
        }
    })
*/

KeyboardInput.init()
MouseInput.init()
ScenesManager.init()
Logger.init()

ScenesManager.setScene(new TestScene())

Game.config('show_bullet_trails', 1)

Game.loop()
